Listar operações de crédito
curl --request GET \
--url https://api.malvo.io/loans \
--header 'X-API-KEY: <api-key>'const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.malvo.io/loans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.malvo.io/loans"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.malvo.io/loans",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"page": 1,
"total": 1,
"totalPages": 1,
"results": [
{
"id": "05c693bf-c196-47ea-a28c-8251d6bb8a06",
"itemId": "5e9f8f8f-f8f8-4f8f-8f8f-8f8f8f8f8f8f",
"contractNumber": "000000721792794",
"ipocCode": "92792126019929279212650822221989319252576",
"productName": "Crédito Pessoal Consignado",
"type": "CREDITO_PESSOAL_COM_CONSIGNACAO",
"date": "2023-07-20T00:00:00",
"contractDate": "2022-08-01T00:00:00",
"disbursementDates": [
"2018-01-15T00:00:00"
],
"settlementDate": "2018-01-15T00:00:00",
"contractAmount": 50000,
"currencyCode": "BRL",
"dueDate": "2028-01-15T00:00:00",
"installmentPeriodicity": "MONTHLY",
"installmentPeriodicityAdditionalInfo": "",
"firstInstallmentDueDate": "2018-02-15T00:00:00",
"CET": 0.29,
"amortizationScheduled": "SAC",
"amortizationScheduledAdditionalInfo": "",
"cnpjConsignee": "60.500.998/0001-35",
"interestRates": [
{
"taxType": "EFETIVA",
"interestRateType": "SIMPLES",
"taxPeriodicity": "AA",
"calculation": "21/252",
"referentialRateIndexerType": "PRE_FIXADO",
"referentialRateIndexerSubType": "TJLP",
"referentialRateIndexerAdditionalInfo": "",
"preFixedRate": 0.6,
"postFixedRate": 0.55,
"additionalInfo": ""
}
],
"contractedFees": [
{
"name": "Renovação de cadastro",
"code": "CADASTRO",
"chargeType": "UNICA",
"charge": "MINIMO",
"amount": 100000.04,
"rate": 0.062
}
],
"contractedFinanceCharges": [
{
"type": "JUROS_REMUNERATORIOS_POR_ATRASO",
"chargeAdditionalInfo": "",
"chargeRate": 0.07
}
],
"warranties": [
{
"currencyCode": "BRL",
"type": "CESSAO_DIREITOS_CREDITORIOS",
"subtype": "NOTAS_PROMISSORIAS_OUTROS_DIREITOS_CREDITO",
"amount": 1000.04
}
],
"installments": {
"typeNumberOfInstallments": "MES",
"totalNumberOfInstallments": 130632,
"typeContractRemaining": "DIA",
"contractRemainingNumber": 14600,
"paidInstallments": 73,
"dueInstallments": 57,
"pastDueInstallments": 73,
"balloonPayments": [
{
"dueDate": "2021-05-21T00:00:00",
"amount": {
"value": 1000.04,
"currencyCode": "BRL"
}
}
]
},
"payments": {
"contractOutstandingBalance": 1000.04,
"releases": [
{
"isOverParcelPayment": true,
"installmentId": "WGx0aExYcEJMVm93TFRsZFcyRXRla0V0V2pBdE9Wd3RYWH",
"paidDate": "2021-05-21T00:00:00",
"currencyCode": "BRL",
"paidAmount": 1000.04,
"overParcel": {
"fees": [
{
"name": "Reavaliação periódica do bem",
"code": "aval_bem",
"amount": 100000.04
}
],
"charges": [
{
"type": "JUROS_REMUNERATORIOS_POR_ATRASO",
"additionalInfo": "",
"amount": 1000.04
}
]
}
}
]
}
}
]
}{
"code": 400,
"message": "itemId must be a UUID"
}{
"code": 403,
"codeDescription": "API_KEY_MISSING_OR_INVALID",
"message": "Missing or invalid authorization token"
}{
"code": 500,
"codeDescription": "INTERNAL_SERVER_ERROR",
"message": "Internal Server Error"
}Loans
Listar operações de crédito
Recupera todas as operações de crédito coletadas para o item informado. Resposta no formato de página { page, total, totalPages, results } (página única).
GET
/
loans
Listar operações de crédito
Authorizations
Chave de API obrigatória em todos os endpoints. Envie no header X-API-KEY: <apiKey>.
Query Parameters
Identificador primário do item.
Response
Página de operações de crédito.
Envelope de paginação por página. Os campos são números (nunca strings). totalPages é 1 quando há uma única página.
⌘I